#include <bits/stdc++.h>

using namespace std;

int main()
{
    float a, b, c;
    long long int p, q;

    cin >> a >> b >> c >> p >> q;

    int i, br;
    br = 0;
    for(i = p;i <= q;i++)
        if( i >= ceil(i/a) + ceil(i/b) + ceil(i/c))
        br++;

    cout << br;
    return 0;
}